<?php
ob_start();
?>
<!DOCTYPE html>
<html>
	<head>
		<title>Travel Tours Script by PHPJabbers.com</title>
		<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta name="viewport" content="width=device-width, initial-scale=1">
		{VPL_META}
	</head>
	<body>
		<div style="max-width: 1200px;">
			{VPL_LISTINGS}
		</div>
	</body>
</html>
<?php
if (!isset($_GET['iframe']))
{
	$content = ob_get_contents();
	ob_end_clean();
	ob_start();
}

if (!isset($_GET['controller']) || empty($_GET['controller']))
{
	$_GET["controller"] = "pjListings";
}
if (!isset($_GET['action']) || empty($_GET['action']))
{
	$_GET["action"] = "pjActionListings";
}

$dirname = str_replace("\\", "/", dirname(__FILE__));
include str_replace("app/views/pjLayouts", "", $dirname) . '/ind'.'ex.php';

$meta = '';
$meta_arr = $pjObserver->getController()->get('meta_arr');
if ($meta_arr !== FALSE)
{
	$meta = sprintf('<title>%s</title>
<meta name="keywords" content="%s" />
<meta name="description" content="%s" />',
	    !empty($meta_arr['title']) ? stripslashes($meta_arr['title']) : '',
	    !empty($meta_arr['keywords']) ? htmlspecialchars(stripslashes($meta_arr['keywords'])) : '',
	    !empty($meta_arr['description']) ? htmlspecialchars(stripslashes($meta_arr['description'])) : ''
	);
}
$content = str_replace('{VPL_META}', $meta, $content);

if (!isset($_GET['iframe']))
{
	$app = ob_get_contents();
	ob_end_clean();
	ob_start();
	$app = str_replace('$','&#36;',$app);
	echo preg_replace('/\{VPL_LISTINGS\}/', $app, $content);
}
?>